## ros-rolling-map-msgs 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(map_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

find_package(nav_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)

set(msg_files
  "msg/OccupancyGridUpdate.msg"
  "msg/PointCloud2Update.msg"
  "msg/ProjectedMapInfo.msg"
  "msg/ProjectedMap.msg"
)
set(srv_files
  "srv/GetMapROI.srv"
  "srv/GetPointMapROI.srv"
  "srv/GetPointMap.srv"
  "srv/ProjectedMapsInfo.srv"
  "srv/SaveMap.srv"
  "srv/SetMapProjections.srv"
)
rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES nav_msgs sensor_msgs std_msgs
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

## ros-rolling-map-msgs 2.1.0

=== debian/changelog ===
ros-rolling-map-msgs (2.1.0-1focal) focal; urgency=high

  * update maintainers
  * Contributors: Mabel Zhang, Steve Macenski

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-map-msgs (2.0.2-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 30 Sep 2019 00:00:00 -0000

ros-rolling-map-msgs (2.0.1-1focal) focal; urgency=high

  * Changed cmake code to use ``add_compile_options`` instead of setting only cxx flags.
  * Contributors: Mikael Arguedas

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 19 Apr 2019 00:00:00 -0000

ros-rolling-map-msgs (2.0.0-1focal) focal; urgency=high

  * Added missing ``---`` separator in services. (#5 <https://github.com/ros-planning/navigation_msgs/issues/5>)
  * Changed to use ``std_msgs/Header`` instead of just ``Header``.
  * Ported ``map_msgs`` to ROS 2.
  * Contributors: Dirk Thomas, Michael Ferguson, Mikael Arguedas, William Woodall

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jun 2018 00:00:00 -0000

ros-rolling-map-msgs (1.13.0-1focal) focal; urgency=high

  * initial release from new repository
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 16 Mar 2015 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-map-msgs
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-common, ros-rolling-nav-msgs, ros-rolling-rosidl-default-generators, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/map_msgs
Standards-Version: 3.9.2

Package: ros-rolling-map-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-nav-msgs, ros-rolling-rosidl-default-runtime, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: This package defines messages commonly used in mapping packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-map-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-map-msgs 2.3.0

=== debian/changelog ===
ros-rolling-map-msgs (2.3.0-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-map-msgs (2.2.0-1jammy) jammy; urgency=high

  * Update maintainers
  * Contributors: Audrow Nash, Steve Macenski

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-map-msgs (2.1.0-1jammy) jammy; urgency=high

  * update maintainers
  * Contributors: Mabel Zhang, Steve Macenski

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-map-msgs (2.0.2-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 30 Sep 2019 00:00:00 -0000

ros-rolling-map-msgs (2.0.1-1jammy) jammy; urgency=high

  * Changed cmake code to use ``add_compile_options`` instead of setting only cxx flags.
  * Contributors: Mikael Arguedas

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 19 Apr 2019 00:00:00 -0000

ros-rolling-map-msgs (2.0.0-1jammy) jammy; urgency=high

  * Added missing ``---`` separator in services. (#5 <https://github.com/ros-planning/navigation_msgs/issues/5>)
  * Changed to use ``std_msgs/Header`` instead of just ``Header``.
  * Ported ``map_msgs`` to ROS 2.
  * Contributors: Dirk Thomas, Michael Ferguson, Mikael Arguedas, William Woodall

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jun 2018 00:00:00 -0000

ros-rolling-map-msgs (1.13.0-1jammy) jammy; urgency=high

  * initial release from new repository
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 16 Mar 2015 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-map-msgs
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-nav-msgs, ros-rolling-rosidl-default-generators, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/map_msgs
Standards-Version: 3.9.2

Package: ros-rolling-map-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-nav-msgs, ros-rolling-rosidl-default-runtime, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: This package defines messages commonly used in mapping packages.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
